List all Core Balances
curl --request GET \
--url https://api.sandbox.lead.bank/v2/core_balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/core_balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/core_balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/core_balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/core_balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/core_balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/core_balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "core_balance_xyz123",
"core_account_id": "core_account_xyz123",
"name": "Consumer FBO",
"status": "active",
"type": "deposit",
"currency_code": "USD",
"amounts": {
"spendable": 65095000,
"cash_available": 24995000,
"posted": 25000000,
"sweeps": 40000000,
"holds": 5000
},
"overdraft": {
"limit": 100000,
"used": 0,
"unused": 100000
},
"interest": {
"rate": "1.000000",
"accrued": 12450
},
"created_at": "2025-09-01T00:00:00Z",
"updated_at": "2026-03-21T12:00:00Z"
}
],
"has_more": true
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The query string could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "No authentication credentials were provided."
}{
"code": "source_ip_not_allowed",
"message": "The client making the request is not on Lead's IP allowlist."
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "malformed",
"message": "core_account_id must match the format core_account_*.",
"parameters": [
"core_account_id"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry after the limit resets."
}{
"code": "internal_server_error",
"message": "Something went wrong on our end. Contact Lead with the Request-Id if this persists."
}{
"code": "endpoint_disabled",
"message": "This endpoint is temporarily disabled. Retry after the indicated delay."
}{
"code": "gateway_timeout",
"message": "An upstream system timed out. Retry with backoff."
}Core Balance
List all Core Balances
GET
/
v2
/
core_balances
List all Core Balances
curl --request GET \
--url https://api.sandbox.lead.bank/v2/core_balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/core_balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/core_balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/core_balances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/core_balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/core_balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/core_balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"objects": [
{
"id": "core_balance_xyz123",
"core_account_id": "core_account_xyz123",
"name": "Consumer FBO",
"status": "active",
"type": "deposit",
"currency_code": "USD",
"amounts": {
"spendable": 65095000,
"cash_available": 24995000,
"posted": 25000000,
"sweeps": 40000000,
"holds": 5000
},
"overdraft": {
"limit": 100000,
"used": 0,
"unused": 100000
},
"interest": {
"rate": "1.000000",
"accrued": 12450
},
"created_at": "2025-09-01T00:00:00Z",
"updated_at": "2026-03-21T12:00:00Z"
}
],
"has_more": true
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The query string could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "No authentication credentials were provided."
}{
"code": "source_ip_not_allowed",
"message": "The client making the request is not on Lead's IP allowlist."
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "malformed",
"message": "core_account_id must match the format core_account_*.",
"parameters": [
"core_account_id"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry after the limit resets."
}{
"code": "internal_server_error",
"message": "Something went wrong on our end. Contact Lead with the Request-Id if this persists."
}{
"code": "endpoint_disabled",
"message": "This endpoint is temporarily disabled. Retry after the indicated delay."
}{
"code": "gateway_timeout",
"message": "An upstream system timed out. Retry with backoff."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pattern:
^core_account_\w+$Example:
"core_account_xyz123"
Required range:
1 <= x <= 100Pattern:
^core_balance_\w+$Pattern:
^core_balance_\w+$Was this page helpful?

